Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class Visitors.JcrSql2Writer

    java.lang.Object
      org.modeshape.jcr.query.model.Visitors.ReadableVisitor
          org.modeshape.jcr.query.model.Visitors.JcrSql2Writer

All Implemented Interfaces:
  Visitor

Enclosing class:
  Visitors

    public static class Visitors.JcrSql2Writer

extends Visitors.ReadableVisitor

Field Summary

Fields inherited from class org.modeshape.jcr.query.model.Visitors.ReadableVisitor
`context, registry, sb`

Constructor Summary
`Visitors.JcrSql2Writer(ExecutionContext context)`

Method Summary
`protected Visitors.ReadableVisitor` | `append(char character)`
`protected Visitors.ReadableVisitor` | `append(int value)`
`protected Visitors.ReadableVisitor` | `append(SelectorName name)`
`protected Visitors.ReadableVisitor` | `append(String string)`
`protected Visitors.ReadableVisitor` | `appendAlias(String alias)`
`protected Visitors.ReadableVisitor` | `appendColumnName(String columnName)`
`protected Visitors.ReadableVisitor` | `appendPropertyName(String propertyName)`
`protected void` | `appendQuoted(char openQuote, String name, char closeQuote)`
`protected boolean` | `needsQuotes(String str)`

Methods inherited from class org.modeshape.jcr.query.model.Visitors.ReadableVisitor
`append, append, getContext, getString, toString, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Visitors.JcrSql2Writer

    public Visitors.JcrSql2Writer(ExecutionContext context)

Method Detail

### needsQuotes

    protected final boolean needsQuotes(String str)

### appendQuoted

    protected void appendQuoted(char openQuote,
                                String name,
                                char closeQuote)

### append

    protected Visitors.ReadableVisitor append(String string)

  Overrides:
    `append` in class `Visitors.ReadableVisitor`

### append

    protected Visitors.ReadableVisitor append(char character)

  Overrides:
    `append` in class `Visitors.ReadableVisitor`

### append

    protected Visitors.ReadableVisitor append(int value)

  Overrides:
    `append` in class `Visitors.ReadableVisitor`

### appendColumnName

    protected Visitors.ReadableVisitor appendColumnName(String columnName)

  Overrides:
    `appendColumnName` in class `Visitors.ReadableVisitor`

### appendPropertyName

    protected Visitors.ReadableVisitor appendPropertyName(String propertyName)

  Overrides:
    `appendPropertyName` in class `Visitors.ReadableVisitor`

### appendAlias

    protected Visitors.ReadableVisitor appendAlias(String alias)

  Overrides:
    `appendAlias` in class `Visitors.ReadableVisitor`

### append

    protected Visitors.ReadableVisitor append(SelectorName name)

  Overrides:
    `append` in class `Visitors.ReadableVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.